package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppOrderSplitLog.TABLE_NAME)
public class GameTencentAppOrderSplitLog implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_order_split_log";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDate backDay;

    private String orderNo;

    private Integer backIndex;

    private Integer backCount;

    private Long splitMoney;

    private LocalDateTime backTime;

    private LocalDateTime executeTime;

    private Integer backStatus;

    private String backErrorMsg;

    private LocalDateTime createTime;

}
